Bug 143574 - EDITING Cannot add textbox to a grouped shape
Summary: EDITING Cannot add textbox to a grouped shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.4.0
Keywords:
Depends on:
Blocks: Shape-Textbox
  Show dependency treegraph
 
Reported: 2021-07-28 07:53 UTC by NISZ LibreOffice Team
Modified: 2022-06-19 05:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: https://crashreport.libreoffice.org/stats/crash_details/ab903e46-0822-4946-af91-5fcde07d393f
Regression By:


Attachments
Example file from Writer with two grouped shapes (9.47 KB, application/vnd.oasis.opendocument.text)
2021-07-28 07:53 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Writer (64.34 KB, image/png)
2021-07-28 07:54 UTC, NISZ LibreOffice Team
Details
Screenshot of the crash in Writer (9.39 KB, image/png)
2021-07-28 07:54 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-07-28 07:53:40 UTC
Created attachment 173904 [details]
Example file from Writer with two grouped shapes

When editing a document with grouped shapes, it is currently not possible to add a textbox (for rich contents) to one of the grouped shapes.

Steps to reproduce:
    1. Open attached document, it contains two drawing shapes that are grouped
    2. Right click on the group, select Enter Group
    3. Select one of the shapes, right click on it and select Add Textbox

Actual results:
Crash since this is a completely missing feature. This is prerequisite for solving bug 129183 and much of the „rich content in grouped shapes” problems in meta bug 136328.

Expected results:
A textbox should be added to the shape.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 67f2a99229101757af4f40118f4d3c83ba38648b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-07-28 07:54:04 UTC
Created attachment 173905 [details]
Screenshot of the original document in Writer
Comment 2 NISZ LibreOffice Team 2021-07-28 07:54:22 UTC
Created attachment 173906 [details]
Screenshot of the crash in Writer
Comment 3 Dmitrii A 2021-08-04 02:58:32 UTC
confirm in

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 16; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 4 Commit Notification 2021-09-01 08:10:39 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/504d78acb866495fd954fcd6db22ea68f174a5ab

tdf#143574 sw: textboxes in group shapes - part 1

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-09-16 10:57:09 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ba5156abace2e41ec4d21397c0875f7e1efd2beb

tdf#143574 tdf#144271 sw: textboxes in group shapes - part 2

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-10-05 08:13:27 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 7 Commit Notification 2021-12-14 14:28:42 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5650de86072b9db586a4532b5239acda77598c4

tdf#143574 sw: textboxes in group shapes - part 3 take 2

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-12-14 14:32:55 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/19394a924fdc486202ca27e318385287eb0df26f

tdf#143574 sw: textboxes in group shapes -- part 4

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-01-03 13:28:58 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2951cbdf3a6e2b62461665546b47e1d253fcb834

tdf#143574 OOXML export/import of textboxes in group shapes

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.